import { SimpleLocalClient } from '../../core/index.js';
import type { IDenonRs232Config } from './denon_rs232.types.js';
import { denonRs232Profile } from './denon_rs232.types.js';

export class DenonRs232Client extends SimpleLocalClient<IDenonRs232Config> {
  constructor(configArg: IDenonRs232Config) {
    super(denonRs232Profile, configArg);
  }
}
